/////////////////////////////////////////////////////////////////////////////
//
// Undelete
//
// Copyright (C) 1998 Mark Russinovich and Bryce Cogswell
// Systems Internals - http://www.sysinternals.com
//
// See readme.txt for terms of use.
//
/////////////////////////////////////////////////////////////////////////////


struct CWindowPlacement : public WINDOWPLACEMENT {   
	
	CWindowPlacement();
   ~CWindowPlacement();      
   
   // Read/write to app profile
   void GetProfileWP(LPCSTR lpKeyName);   
   void WriteProfileWP(LPCSTR lpKeyName);

   // Save/restore window pos (from app profile)
   void Save(LPCSTR lpKeyName, CWnd* pWnd);
   BOOL Restore(LPCSTR lpKeyName, CWnd* pWnd);   

   // For listview
   void CWindowPlacement::SaveListView(LPCSTR lpKeyName, int NumColumns, CListView* pWnd);
   void CWindowPlacement::RestoreListView(LPCSTR lpKeyName, int NumColumns, CListView* pWnd);

protected:
	int m_NumColumns;

public:
	int	m_ColumnWidth[16];
};
